%define anolis_release 1

%global         _hardened_build 1

Summary:        Optimizer for PNG (Portable Network Graphics) files
Name:           pngcrush
Version:        1.8.13
Release:        %{anolis_release}%{?dist}
License:        zlib
URL:            http://pmt.sourceforge.net/%{name}/
Source0:        http://downloads.sourceforge.net/pmt/%{name}-%{version}-nolib.tar.xz
# from Debian sid.
Source1:        %{name}.sgml
BuildRequires:  docbook-utils
BuildRequires:  gcc
BuildRequires:  libpng-devel
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel

%description
pngcrush is a commandline optimizer for PNG (Portable Network Graphics) files.
Its main purpose is to reduce the size of the PNG IDAT datastream by trying
various compression levels and PNG filter methods. It also can be used to
remove unwanted ancillary chunks, or to add certain chunks including gAMA,
tRNS, iCCP, and textual chunks. 

%prep
%setup -q -n %{name}-%{version}-nolib
cp %{SOURCE1} . 

%build
rm -f z*.h crc32.h deflate.h inf*.h trees.h png*.h # force using system headers
pngflags=$(pkg-config --cflags --libs libpng)
gcc %{optflags} $pngflags -lz -o %{name} %{name}.c
docbook2man %{name}.sgml

%install
%{__install} -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}
%{__install} -D -m0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%generate_compatibility_deps

%files
%doc ChangeLog.html
%license LICENSE
%{_bindir}/%{name}
%dir %{abidir}
%{abidir}/%{name}-option.list
%doc %{_mandir}/man1/%{name}.1.zst

%changelog
* Tue Mar 28 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.8.13-1
- Init upstream from version 1.8.13
